Page MenuHomePhabricator

Africa Wikimedia Developers Leader Board Monthly Statistics for the year 2019
Open, NormalPublic

Tokens
"Party Time" token, awarded by Rosalie_WMDE."Cookie" token, awarded by D3r1ck01."Burninate" token, awarded by Didicodes."Love" token, awarded by jeropbrenda.
Assigned To
None
Authored By
D3r1ck01, Jan 11 2019

Description

Monthly statistics for the top 3 developers who fix the most number of bugs (hence most active) within the continent. After spreading to many countries in Africa, we intend to keep this as a tradition to rank top developers in Africa that make technical contributions to Wikimedia projects.

Link to the AWMD stats tool to check statistics can be found here: https://tools.wmflabs.org/awmd-stats/ (for the current month).

T184192: Africa Wikimedia Developers Leaderboard Monthly Statistics for the year 2018 || NOTYETCREATED


November 2019


October 2019

  1. @Zoranzoki21 - (17 patches submitted - 15 merged, 2 under review)
  2. @Ammarpad - (17 patches submitted - 14 merged, 3 under review)

September 2019

  1. @Zoranzoki21 - (44 patches submitted - 41 merged, 3 under review)
  2. @Eugene233 - (11 patches submitted - 11 merged, 0 under review)
  3. @Ammarpad - (9 patches submitted - 9 merged, 0 under review)

August 2019

  1. @Zoranzoki21 - (13 patches submitted - 9 merged, 4 under review)
  2. @Eugene233 - (12 patches submitted - 12 merged, 0 under review)
  3. @Ammarpad - (1 patches submitted - 1 merged, 0 under review)

July 2019

  1. @Eugene233 - (21 patches submitted - 21 merged, 0 under review)
  2. @Zoranzoki21 - (2 patches submitted - 2 merged, 0 under review)
  3. @Ammarpad - (1 patches submitted - 1 merged, 0 under review)

June 2019

  1. @Eugene233 - (16 patches submitted - 16 merged, 0 under review)
  2. @Zoranzoki21 - (6 patches submitted - 5 merged, 1 under review)
  3. @Mahveotm - (1 patches submitted - 0 merged, 1 under review)

May 2019

  1. @Eugene233 - (39 patches submitted - 39 merged, 0 under review)
  2. @Zoranzoki21 - (15 patches submitted - 13 merged, 2 under review)
  3. @Ammarpad - (2 patches submitted - 1 merged, 1 under review)

April 2019

  1. @Didicodes - (38 patches submitted - 38 merged, 0 under review)
  2. @Eugene233 - (26 patches submitted - 25 merged, 1 under review)
  3. @jeropbrenda - (22 patches submitted - 12 merged, 10 under review)

View complete month statistics


March 2019

  1. @jeropbrenda - (15 patches submitted - 4 merged, 11 under review and 0 abandoned)
  2. @Ammarpad - (10 patches submitted - 6 merged, 4 under review and 0 abandoned)
  3. @Didicodes - (11 patches submitted - 5 merged, 4 under review and 2 abandoned)

View complete month statistics


February 2019

  1. @Eugene233 - (6 patches submitted - 3 merged & 3 under review)
  2. @Ammarpad - (6 patches submitted - 1 merged & 5 under review)
  3. @Mahveotm - (5 patches submitted - 1 merged, 3 under review & 1 abandoned)

View complete month statistics


January 2019

  1. @Ammarpad - (12 patches submitted - 8 merged, 3 under review & 1 abandoned)
  2. @Eugene233 - (6 patches submitted - 1 merged & 5 under review)
  3. @Mahveotm - (3 patches submitted - 2 merged & 1 abandoned)

View complete month statistics

Related Objects

Mentioned In
T184192: Africa Wikimedia Developers Leaderboard Monthly Statistics for the year 2018
rLTASa2e9d544583e: [IMPR] Test the /month-rank/<month>/json route
rLTAS28a0239a7c34: [IMPR] Test the /month-rank/<month>/json route
rLTAS85e8e1f72922: [IMPR] Test the /month-rank/<month>/json route
rLTAS1ae50f83434c: [IMPR] Test the /month-rank/<month>/json route
rLTASd097a0914eb3: [IMPR] Test the /month-rank/<month>/json route
rLTAS5841f6d725dd: [IMPR] Test the /month-rank/<month>/json route
rLTAScf7d2af31d2e: [IMP] Test the /month-rank/<month>/json route
rLTAS6587f3079da1: [FIX] Correct content-type and charset for endpoint /month-rank/<month>/<format>
rLTAS6faf1686a2af: [IMPR] Add support for json to endpoint /month-rank/<month>/<format>
rLTASc1694a8e3165: [IMPR] Add support for json to endpoint /month-rank/<month>/<format>
rLTASb82524e7dfd6: [IMPR] Add support for json to endpoint /month-rank/<month>/<format>
rLTASbf9bdb4ebaad: [IMPR] Add support for json to endpoint /month-rank/<month>/<format>
rLTAScda8b227916c: [IMPR] Add support for json to endpoint /month-rank/<month>/<format>
rLTAS2c86d5257175: [IMPR] Format ranked contributors in wikicode
rLTAS0529b3ba89f8: [IMPR] Format ranked contributors in wikicode
rLTAS814fb52c3a3c: [IMPR] Format ranked contributors in wikicode
rLTAS3f46575065ef: [IMPR] Format ranked contributors in wikicode
rLTASe4e19a3b6ff1: [IMPR] Format ranked contributors in wikicode
Mentioned Here
T184192: Africa Wikimedia Developers Leaderboard Monthly Statistics for the year 2018

Event Timeline

D3r1ck01 created this task.Jan 11 2019, 9:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2019, 9:27 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 triaged this task as Normal priority.Jan 11 2019, 9:30 PM
D3r1ck01 updated the task description. (Show Details)Feb 2 2019, 8:15 AM
D3r1ck01 added subscribers: Mahveotm, Ammarpad, Eugene233.
D3r1ck01 updated the task description. (Show Details)Mar 1 2019, 9:03 AM

Change 500108 had a related patch set uploaded (by African Hope; owner: African Hope):
[labs/tools/awmd-stats@master] [IMPR] Format ranked contributors in wikicode

https://gerrit.wikimedia.org/r/500108

Change 500108 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Format ranked contributors in wikicode

https://gerrit.wikimedia.org/r/500108

D3r1ck01 updated the task description. (Show Details)Mar 31 2019, 11:24 PM
D3r1ck01 added subscribers: jeropbrenda, Didicodes.

@D3r1ck01 For March, it looks like @Didicodes has more patches?

@D3r1ck01 For March, it looks like @Didicodes has more patches?

Yes. The algorithm for calculation is as follow;

Points for number of merged patches > points for number of submitted patches under review > points for number of submitted > number of patches abandoned.

So 2 patches submitted is < 1 patch submitted and 1 merged.

Let me know if it's clear. I'll create a ticket to document this algorithm, it was decided upon by the core team and we're building the AWMD stats tool to do this calculations for us, it's not there yet.

@D3r1ck01 Thanks for explaining:)

Change 503421 had a related patch set uploaded (by African Hope; owner: African Hope):
[labs/tools/awmd-stats@master] [IMPR] Add support for json to endpoint /month-rank/<month>/<format>

https://gerrit.wikimedia.org/r/503421

Change 503421 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Add support for json to endpoint /month-rank/<month>/<format>

https://gerrit.wikimedia.org/r/503421

Change 504871 had a related patch set uploaded (by African Hope; owner: African Hope):
[labs/tools/awmd-stats@master] [FIX] Correct content-type and charset for endpoint /month-rank/<month>/<format>

https://gerrit.wikimedia.org/r/504871

Change 504882 had a related patch set uploaded (by African Hope; owner: African Hope):
[labs/tools/awmd-stats@master] [IMP] Test the /month-rank/<month>/json route

https://gerrit.wikimedia.org/r/504882

Change 504871 abandoned by African Hope:
[FIX] Correct content-type and charset for endpoint /month-rank/<month>/<format>

Reason:
Already covered by I7c94e94e89169aa64887830c6ce72f047edf77a1

https://gerrit.wikimedia.org/r/504871

Change 504882 merged by jenkins-bot:
[labs/tools/awmd-stats@master] [IMPR] Test the /month-rank/<month>/json route

https://gerrit.wikimedia.org/r/504882

D3r1ck01 updated the task description. (Show Details)May 6 2019, 7:45 PM
rosalieper updated the task description. (Show Details)Jul 15 2019, 9:38 AM
rosalieper updated the task description. (Show Details)
rosalieper added a subscriber: Zoranzoki21.
rosalieper updated the task description. (Show Details)Jul 15 2019, 9:45 AM
rosalieper updated the task description. (Show Details)Jul 15 2019, 9:48 AM
rosalieper updated the task description. (Show Details)Jul 15 2019, 12:34 PM
rosalieper updated the task description. (Show Details)
Eugene233 updated the task description. (Show Details)Mon, Oct 21, 5:03 PM
Eugene233 updated the task description. (Show Details)Sat, Nov 9, 11:04 PM
Eugene233 updated the task description. (Show Details)

We should get T-Shirt or something :D so cool